diff --git a/books/bookvolbib.pamphlet b/books/bookvolbib.pamphlet
index 8c214ed..9e49165 100644
--- a/books/bookvolbib.pamphlet
+++ b/books/bookvolbib.pamphlet
@@ -342,6 +342,16 @@ algebra'' In Golden and Hussain [GH84], pp409-??
 \bibitem[Jen84b]{Jen84b}
 Richard D. Jenks ``A primer: 11 keys to New Scratchpad'' In Fitch [Fit84],
 pp123-147. ISBN 0-387-13350-X LCCN QA155.7.E4 I57 1984
+\bibitem[JT81]{JT81}
+Jenks, R.D. and Trager, B.M. ``A Language for Computational Algebra''
+Proceedings of SYMSAC81, Symposium on Symbolic and Algebraic Manipulation,
+Snowbird, Utah August, 1981
+\bibitem[JT81a]{JT81a}
+Jenks, R.D. and Trager, B.M. ``A Language for Computational Algebra''
+SIGPLAN Notices, New York: Association for Computing Machiner, Nov 1981
+\bibitem[JT81b]{JT81b}
+Jenks, R.D. and Trager, B.M. ``A Language for Computational Algebra''
+IBM Research Report RC8930 IBM Yorktown Heights, NY
 \bibitem[JOS93]{JOS93}
 G. Jacob, N. E. Oussous, and S. Steinberg, editors. Proceedings SC 93
 International IMACS Symposium on Symbolic Computation. New Trends and
@@ -361,6 +371,11 @@ Richard D. Jenks, Robert S. Sutor, and Stephen M. Watt ``Scratchpad II:
 an abstract datatype system for mathematical computation'' Research Report
 RC 12327 (\#55257), Iinternational Business Machines, Inc., Thomas J. Watson
 Research Center, Yorktown Heights, NY, USA, 1986 23pp
+\bibitem[JWS87]{JWS87}
+Richard D. Jenks, Robert S. Sutor, and Stephen M. Watt ``Scratchpad II:
+an Abstract Datatype System for Mathematical Computation'' 
+Proceedings Trends in Computer Algebra, Bad Neuenahr, LNCS 296,
+Springer Verlag, (1987)
 \bibitem[JWS88]{JWS88}
 R. D. Jenks, R. S. Sutor, and S. M. Watt ``Scratchpad II:
 an abstract datatype system for mathematical computation'' In Jan{\ss}en
@@ -677,7 +692,7 @@ University, Aston Triangle, Birmingham B4 7 ET, U. K.
 Garcia, A. and Stichtenoth, H.
 ``A tower of Artin-Schreier extensions of function fields attaining the 
 Drinfeld-Vladut bound'' Invent. Math., vol. 121, 1995, pp. 211--222.
-\bibitem[GL89][GL89}
+\bibitem[GL89]{GL89}
 Golub, Gene H. and Van Loan, Charles F.
 ``Matrix Computations''
 Johns Hopkins University Press ISBN 0-8018-3772-3 (1989)
diff --git a/changelog b/changelog
index d401d98..9db0e5d 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20100613 tpd src/axiom-website/patches.html 20100613.02.tpd.patch	
+20100613 tpd books/bookvolbib add Jenks [JT18], [JT18a], [JT18b], [JWS87]
 20100613 tpd src/axiom-website/patches.html 20100613.01.tpd.patch	
 20100613 tpd src/input/Makefile rule-based hyper integration
 20100613 tpd src/input/richhyper000-099.input rule-based hyper integration
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 59ce8e0..9815e25 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -2888,6 +2888,8 @@ src/input/richtrig800-899.input rule-based trig integration<br/>
 src/input/richtrig900-920.input rule-based trig integration<br/>
 <a href="patches/20100613.01.tpd.patch">20100613.01.tpd.patch</a>
 src/input/richhyper000-099.input rule-based hyper integration
+<a href="patches/20100613.02.tpd.patch">20100613.02.tpd.patch</a>
+books/bookvolbib add Jenks [JT18], [JT18a], [JT18b], [JWS87]<br/>
  </body>
 </html>
 
